LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices


Reply
  Search this Thread
Old 07-11-2001, 11:51 AM   #1
cinnix
Member
 
Registered: Jun 2001
Location: Northern Ohio
Distribution: RedHat, Engarde and LFS
Posts: 237

Rep: Reputation: 30
redhat glibc update


I am trying to upgrade my gcc version to 2.96-85 and am having trouble installing the relevant RPMs. glibc-common-2.2-12.i386 gives a dependency error "glibc < 2.2-12 incompatible with version 2.2-12".

I have had this problem on every installtion of redhat 7.0 that I have ever done when I am trying to update glibc.

I just used the --nodeps option which I know was wrong. Has anyone had the same problem and what did they d to fix it. I found a similar post from someone at the redhat support forums, but noone ever answered them.

I would like to install these updates correctly, or at least do it the right way next time if it is too late to fix it this time.
 
Old 07-11-2001, 05:22 PM   #2
linuxcool
LQ Addict
 
Registered: Jun 2001
Posts: 1,183

Rep: Reputation: 47
I'm going to take a stab at this. It could mean that your glibc is not current enough. I did a search at http://rpmfind.net using glibc - 2.2-12 in the search box and I came up with an rpm for Red Hat 7.0. It's glibc - 2.2-12.i386.rpm . It says updates for i386. Maybe installing this rpm will solve your problem. No guarantees.
 
Old 07-11-2001, 08:15 PM   #3
cinnix
Member
 
Registered: Jun 2001
Location: Northern Ohio
Distribution: RedHat, Engarde and LFS
Posts: 237

Original Poster
Rep: Reputation: 30
These are the packages I have installed. They are the recommended updates from redhat.

[root@lockbox ~]# rpm -qa | grep glibc
glibc-devel-2.2-12
compat-glibc-6.2-2.1.3.2
glibc-2.2-12
[root@lockbox ~]# rpm -qa | grep gcc
gcc-objc-2.96-85
kgcc-1.1.2-40
gcc-2.96-85
gcc-g77-2.96-85
gcc-c++-2.96-85
[root@lockbox ~]#
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Upgrading glibc-2.2.4 to glibc-2.3.2 on redhat 7.2 Shuja Linux From Scratch 2 07-30-2004 12:34 AM
upgrade glibc-2.2.4 to glibc-2.3.2 on redhat 7.2 Shuja Red Hat 0 07-28-2004 06:10 AM
Update glibc?? Obscure Slackware 4 10-24-2003 10:24 AM
Glibc - Do I update demonicbnewbie Linux - Software 12 06-21-2003 05:30 PM
Redhat 8.0 glibc 2.3.x update breaks apps Yobgod Linux - Software 0 04-10-2003 07:09 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - General

All times are GMT -5. The time now is 08:13 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration